# FTP make directory

An action block that creates a directory on an FTP server.

The fiber will pause until the directory has been created.

Parent directories will also be created if absent.

## Input arguments

- Host or IP address — hostname or IP address of FTP server.
- Port — remote port, default is 21 or 990 for FTPS.
- Log in account — name of generic credentials account used for log in, default is anonymous.
- Control encoding — charset used when sending commands, default is UTF-8.
- Connection security — whether to use a secure TLS/SSL connection (FTPS).
- Certificate — whether to trust insecure, self-signed, certificates, ignored unless FTPS.
- Data channel protection — data channel protection level (PROT), ignored unless FTPS, default is Clear.
- Remote path — remote path to create, path is normalized.